cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Can Dynatrace be used alongside AFNetworking in iOS?

xavier_pereta
Newcomer

I'm using Dynatrace 7.0 configured and installed through cocoapods.

And I'm having trouble with AFNetworking that is in use in the same project. The issue is the same as described here:

https://github.com/AFNetworking/AFNetworking/issue...

Can Dynatrace and AFNetworking coexist in the same iOS project?

3 REPLIES 3

harp
Dynatrace Pro
Dynatrace Pro

Dynatrace + AFNetworking had compatibility troubles, but with the upcoming public updates 6.5.25 and 7.0.7 there will be big compatibility improvement with 3rd party frameworks that use swizzling (like AFNetworking). You should give it a try when the public updates are released (delivery is planned for next week, but subject to change).

Is there a version of 7.0.7 I could download to verify that it solves the issue I'm having?

6.5.25/7.0.7 is now available as direct download or via CocoaPods